# Crate a report export task.

Creates a new instance of the asynchronous export task for a given DrillPlan report.  
To create an export task, the user must be a member of the project to which the report belongs.

Endpoint: POST /v2/projects/{projectId}/reports/{reportId}/content/export
Version: 2.1.0
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

## Path parameters:

  - `projectId` (string, required)
    Identifier of the project.

  - `reportId` (string, required)
    Identifier of the report.

## Header parameters:

  - `slb-data-partition-id` (string, required)
    Data partition ID.

## Request fields (application/json):

  - `callback` (object)
    The callback definition.
    Example: {"uri":"https://example.com/callback","headers":{"Authorization":"Bearer your_token_here","Custom-Header":"custom_value"}}

  - `callback.uri` (string, required)
    The callback URI.

  - `callback.headers` (object)
    The collection of headers.

  - `content_type` (string, required)
    The report export content type ('application/pdf').

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string, required)
    The task ID.

  - `project_id` (string)
    The project ID.

  - `status` (string, required)
    Represents the current stage in the lifecycle of a Task.
    Enum: "Created", "Published", "Running", "Succeeded", "Canceled", "Faulted"

  - `is_completed` (boolean, required)
    Indicates whether the task has completed.

  - `problem` (object)
    Problem details according to RFC7807.

  - `problem.type` (string, required)
    A reference that uniquely identifies the problem type.

  - `problem.title` (string, required)
    A short, human-readable summary of the problem type.

  - `problem.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `problem.severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

  - `artifacts` (object)
    Artifacts of the task.

## Response 400:

  - `400` (unknown)
    Bad request.

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response 401:

  - `401` (unknown)
    User is not authorized.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response 404:

  - `404` (unknown)
    Resource not found.

## Response 404 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response 423:

  - `423` (unknown)
    Locked.

## Response 423 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response 500:

  - `500` (unknown)
    Internal server error.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

## Response default:

  - `default` (unknown)
    Unexpected error.

## Response default fields (application/problem+json):

  - `type` (string, required)
    A reference that uniquely identifies the problem type.

  - `title` (string, required)
    A short, human-readable summary of the problem type.

  - `detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `severity` (string)
    The severity of the problem type.
    Enum: "Error", "Warning"

